Package be.fgov.ehealth.aa.complextype.v1

# Class QualityDescriberType

java.lang.Object
be.fgov.ehealth.aa.complextype.v1.QualityDescriberType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SupportedQuality`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class QualityDescriberType extends Object implements Serializable
Metadata on supported quality.

Java class for QualityDescriberType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="QualityDescriberType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}QualityTypeCode" maxOccurs="unbounded"/>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}QualityTypeFriendlyName" maxOccurs="unbounded"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Attribute" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QualityDescriberType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Attribute>`
  `getAttributes()`
  Gets the value of the attributes property.
  `List<TypeCodeType>`
  `getQualityTypeCodes()`
  Gets the value of the qualityTypeCodes property.
  `List<NameType>`
  `getQualityTypeFriendlyNames()`
  Gets the value of the qualityTypeFriendlyNames property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QualityDescriberType

    public QualityDescriberType()

- ## Method Details

  - ### getQualityTypeCodes

    public List<TypeCodeType> getQualityTypeCodes()
    Gets the value of the qualityTypeCodes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the qualityTypeCodes property.

    For example, to add a new item, do as follows:

         getQualityTypeCodes().add(newItem);

    Objects of the following type(s) are allowed in the list `TypeCodeType`

    Returns:
      The value of the qualityTypeCodes property.

  - ### getQualityTypeFriendlyNames

    public List<NameType> getQualityTypeFriendlyNames()
    Gets the value of the qualityTypeFriendlyNames property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the qualityTypeFriendlyNames property.

    For example, to add a new item, do as follows:

         getQualityTypeFriendlyNames().add(newItem);

    Objects of the following type(s) are allowed in the list `NameType`

    Returns:
      The value of the qualityTypeFriendlyNames property.

  - ### getAttributes

    public List<Attribute> getAttributes()
    Gets the value of the attributes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

    For example, to add a new item, do as follows:

         getAttributes().add(newItem);

    Objects of the following type(s) are allowed in the list `Attribute`

    Returns:
      The value of the attributes property.